ENTRY (start)

KERNEL_VMA = 0x100000;
SECTIONS{
    . = KERNEL_VMA;

    .text : AT(ADDR(.text) - KERNEL_VMA) {
		_ld_codeStart = .;
        *(.text)
		. = ALIGN(8);
		*(.rodata*)
		. = ALIGN(8);
		_ZN6kernel10startCtorsE = .; /* Mangled kernel::startCtors */
		*(.ctors*)
		_ZN6kernel8endCtorsE = .; /* Mangled kernel::endCtors */
		. = ALIGN(8); 
		*(.dtors*)
		. = ALIGN(4096);
    }

    .data : AT(ADDR(.data) - KERNEL_VMA) {
        *(.data)
		. = ALIGN(4096);
    }

    .bss : AT(ADDR(.bss) - KERNEL_VMA) {
        _ld_bssStart = .;
        *(.bss)
		. = ALIGN(4096);
    }

	_ld_end = .;
}
